Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::StringKeyVal Class Reference

StringKeyVal is a base class for KeyVal implementations that store all values in a string format. More...

`#include <keyval.h>`

Inheritance diagram for sc::StringKeyVal:

[legend]
Collaboration diagram for sc::StringKeyVal:

[legend]
List of all members.

## Public Methods

virtual | ~StringKeyVal ()
virtual const char * | stringrep (const char *key)=0
| Returns the string representation of the value assigned to key.
virtual const char * | classname (const char *)
| Returns the name of the exact class of the object at the keyword. More...
virtual const char * | truekeyword (const char *)
| Returns a string which is the actual keyword if some sort of variable substitution takes place (needed to make multiple references to the same object work in input files).
virtual void | errortrace (std::ostream &fp=ExEnv::err0())
| Write a message to fp describing the error.
virtual void | dump (std::ostream &fp=ExEnv::err0())
| Write a message to fp describing the error.

## Protected Methods

| StringKeyVal ()
int | key_exists (const char *)
| Ultimately called by exists.
Ref< KeyValValue > | key_value (const char *, const KeyValValue &def)
| Ultimately called by value.

## Detailed Description

StringKeyVal is a base class for KeyVal implementations that store all values in a string format.

These are converted to other data types through KeyValValue.

## Member Function Documentation

virtual const char* sc::StringKeyVal::classname | ( | const char * |  | ) | `[virtual]`

| Returns the name of the exact class of the object at the keyword. If no classname is assigned then 0 is returned. Reimplemented in sc::ParsedKeyVal.

The documentation for this class was generated from the following file:

- keyval.h